.\" $NetBSD: wsmuxctl.8,v 1.12 2008/04/30 13:11:03 martin Exp $
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Author: Lennart Augustsson
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 13, 2001
.Dt WSMUXCTL 8
.Os
.Sh NAME
.Nm wsmuxctl
.Nd configure wsmuxes
.Sh SYNOPSIS
.Nm
.Op Fl a Ar dev
.Fl f Ar ctldev
.Op Fl l
.Op Fl L
.Op Fl r Ar dev
.Sh DESCRIPTION
The
.Nm
allows to adding and removing devices connected to a
.Xr wsmux 4 .
.Pp
Added and removed devices are specified by a name, not a path name.
Simply use
.Em wsmouseN ,
.Em wskbdN ,
or
.Em wsmuxN
where N is the number of the device.
.Pp
The options are:
.Bl -tag -width xxxxxxxxx
.It Fl a Ar dev
Add the specified device to the mux.
.It Fl f Ar ctldev
Specify the control device of the wsmux to operate on.
A number may be given, which is then taken to be the number of the mux.
.It Fl l
List all devices connected to a mux.
.It Fl L
List all devices connected to a mux and recursively list mux subdevices.
.It Fl r Ar dev
Remove the specified device from the mux.
.El
.Sh SEE ALSO
.Xr wsmux 4
